Bug 534773 - (RHQ-1537) "set all values to" skips over unset properties
"set all values to" skips over unset properties
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Configuration (Show other bugs)
1.2
All All
high Severity medium (vote)
: ---
: ---
Assigned To: Ian Springer
Jeff Weiss
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: RHQ-1386
  Show dependency treegraph
 
Reported: 2009-02-11 14:46 EST by Joseph Marques
Modified: 2014-11-09 17:48 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2009-02-11 14:46:00 EST
if some properties are set, but some are unset (think of a resource that was just recently added to a cluster), i want to be able to use the "set all values to" functionality to make the value homogeneous again.  however, when i tried this, it skipped the properties that were unset.  i think we need to do one of the following:

1) make "set all values to" also support the "unset" checkbox, so that the unset concept can separately be applied to the property children, or
2) if we don't support the "unset" checkbox at the "set all values to" level, then i think it is more likely than not that users will want the "set all values to" functionality to set values to properties that were previous "unset"
Comment 1 Ian Springer 2009-02-27 17:29:47 EST
2) is fixed - r3247. There is a separate JIRA for 1).
Comment 2 Jeff Weiss 2009-03-11 10:57:08 EDT
I cannot find an example of where #2 would apply. 
Comment 3 Ian Springer 2009-03-11 11:09:19 EDT
To verify the fix for 2), click on the Members button for a property that is unset. Then, on the members modal, enter a value in the set-all-values-to input at the top of the modal and click Apply. Verify that all the member inputs get updated with the new value and that they're unset checkboxes become unchecked.
Comment 4 Jeff Weiss 2009-03-11 11:26:32 EDT
Ok, i misunderstood what the fix was for.  This is definitely working. rev3351
Comment 5 Red Hat Bugzilla 2009-11-10 15:35:09 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1537
This bug relates to RHQ-1642

Note You need to log in before you can comment on or make changes to this bug.